org.eclipse.microprofile.context.tck.cdi

## Class RequestScopedBean

- java.lang.Object
- - org.eclipse.microprofile.context.tck.cdi.AbstractBean
  - - org.eclipse.microprofile.context.tck.cdi.RequestScopedBean

    @RequestScoped
    public class RequestScopedBean
    extends AbstractBean

### Field Summary

### Fields inherited from class org.eclipse.microprofile.context.tck.cdi.AbstractBean

`UNINITIALIZED`

### Constructor Summary

Constructors
Constructor and Description
`RequestScopedBean()`

### Method Summary

### Methods inherited from class org.eclipse.microprofile.context.tck.cdi.AbstractBean

`getState, setState`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RequestScopedBean

    public RequestScopedBean()